<template>
  <div :class="['live-casino-module-2 px-2 sm:px-0', deviceTemplate]">
    <div class="h-[52px] mb-4 lobby-header">
      <div
        :class="[
          'flex items-center whitespace-nowrap ml-0 primary',
          deviceTemplate === 'mobile' ? 'gap-1' : 'gap-2',
        ]"
      >
        <div class="text-2xl font-bold uppercase lobby-title !mb-0">
          {{ $t("live_casino") }}
        </div>
        <el-divider class="primary rounded" />
      </div>
      <div class="text-sm uppercase text-[var(--text2)] lobby-title-info">
        {{ $t("Best Online Live Casino Betting") }}
      </div>
    </div>
    <div class="flex gap-2 flex-wrap xl:flex-nowrap">
      <div
        class="lc-card-entrance"
        :style="`
          background: url(${getAssetImage(
            `assets/theme/common/LobbySettings/LiveCasinoModule/module_2_background.png`
          )}) no-repeat;
          background-size: cover;`"
      >
        <div
          class="w-full h-full flex justify-between items-center gradient-backdrop rounded-lg sm:rounded-2xl"
        >
          <div class="absolute left-0 top-0 h-full gradient-gif">
            <img
              class="rounded-l-lg sm:rounded-l-2xl h-full"
              :src="
                getAssetImage(
                  'assets/theme/common/LobbySettings/LiveCasinoModule/coin_droping.gif'
                )
              "
            />
          </div>
          <div class="pl-8 z-10">
            <div
              class="font-bold text-base primary uppercase lg:text-5xl sm:text-4xl md:text-[48px] sm:h-[36px] md:h-14 flex items-center"
            >
              <span>{{ $t("live_casino") }}</span>
            </div>
            <div
              class="text-xs font-medium primary uppercase sm:text-3xl md:text-[40px] sm:h-[30px] md:h-[47px] flex items-center"
            >
              <span>{{ $t("Truly Experience") }}</span>
            </div>
            <nuxt-link class="hidden sm:block" to="/live-casino">
              <el-button
                type="primary"
                class="w-[102px] h-8 casino-play-button capitalize"
                >{{ $t("play_now").toLowerCase() }}</el-button
              >
            </nuxt-link>
          </div>
          <div
            :class="[
              'absolute bottom-0 right-0 h-[246px] md:h-[304px] lg:h-[404px]',
              { '!h-[142.5px]': deviceTemplate === 'mobile' },
            ]"
          >
            <img
              class="object-contain w-full h-full"
              :src="
                getAssetImage(
                  'assets/theme/common/LobbySettings/LiveCasinoModule/module_2_star.png'
                )
              "
            />
          </div>
        </div>
      </div>
      <div
        class="grid flex-row xl:flex-col flex-shrink-0 gap-2 w-full grid-cols-2 sm:grid-cols-4 xl:grid-cols-1 xl:w-[232px]"
      >
        <div
          v-for="(item, index) in playableGame"
          :key="`casino_module_${index}`"
          @click="redirectToLiveCasino(`/game/${item.GameId}`)"
          class="bg-red w-full casino-display-button flex justify-center flex-grow items-center rounded-lg sm:rounded-2xl relative h-[54px] sm:h-[62px] lg:h-[84px] xl:h-[unset]"
        >
          <img
            class="absolute top-[50%] left-[50%] translate-x-[-50%] translate-y-[-50%] h-10 sm:h-16 transition-[width] duration-300"
            :src="item.ProviderLogoCenterPath"
            alt=""
          />
    </div>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import { defineProps } from "vue";
import { ILobbySettingsText } from "~~/models/customizeTheme";
import commonHelper from "@/utils/commonHelper";
import useLiveCasinoModule from "@/composables/lobby/useLiveCasinoModule";

const props = defineProps<{
  data: ILobbySettingsText;
}>();
const deviceTemplate = useDevice().isDesktop ? "desktop" : "mobile";
const { getAssetImage } = commonHelper;
const { playableGame, redirectToLiveCasino } = useLiveCasinoModule(props.data);
</script>

<style lang="scss" scoped>
.live-casino-module-2 {
  &.mobile {
    .el-divider--horizontal {
      border-top: solid 1px var(--primary);
    }
    .lc-card-entrance {
      border-width: 1px;
      border-radius: 7px;
    }
    .casino-display-button {
      border-width: 1px !important;
    }
  }
  .lc-card-entrance {
    border: 2px solid var(--primary);
    @apply relative rounded-lg sm:rounded-2xl h-[117px] sm:h-[222px] md:h-[260px] lg:h-[360px] flex-grow w-full;
  }
  .primary {
    color: var(--primary);
  }
  .el-divider--horizontal {
    border-top: solid 2px var(--primary);
    margin: 0 !important;
  }
  .casino-display-button {
    background: var(--background3);
    border: solid 2px var(--primary);

    img {
      object-fit: contain;
      transition: all 0.3s ease-in-out;
      width: 100%;
      height: 40px;
    }

    &:hover img {
      transition: all 0.3s ease-in-out;
      height: 44px;
      filter: var(--primary-filter);
    }
  }
  @media (min-width: 640px) {
    .casino-display-button {
      img {
        width: 135px;
        height: 54px;
      }

      &:hover img {
        width: 145px;
        height: 58px;
        filter: var(--primary-filter);
      }
    }
  }
  .gradient-backdrop {
    width: 100%;
    height: 100%;
    background: linear-gradient(
      89.72deg,
      #000000 -1.85%,
      rgba(255, 255, 255, 0) 53.75%,
      rgba(0, 0, 0, 0) 99.75%
    );
  }
  .casino-play-button {
    margin-top: 41px;
  }
  .gradient-gif {
    img {
      mask: linear-gradient(
        to left,
        rgba(196, 196, 196, 0),
        rgb(196, 196, 196, 1)
      );
    }
  }
}
</style>
